Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex.ng
Class RELAXNGReader.StateFactory

    java.lang.Object
      com.sun.msv.reader.trex.TREXBaseReader.StateFactory
          com.sun.msv.reader.trex.ng.RELAXNGReader.StateFactory

Direct Known Subclasses:
  RELAXNGCompReader.StateFactory

Enclosing class:
  RELAXNGReader

public static class RELAXNGReader.StateFactory
extends TREXBaseReader.StateFactory

creates various State object, which in turn parses grammar. parsing behavior can be customized by implementing custom StateFactory.

Constructor Summary
`RELAXNGReader.StateFactory()`

Method Summary
`State` | `attribute(State parent, StartTagInfo tag)`
`State` | `data(State parent, StartTagInfo tag)`
`State` | `dataExcept(State parent, StartTagInfo tag)`
`State` | `dataParam(State parent, StartTagInfo tag)`
`State` | `define(State parent, StartTagInfo tag)`
`State` | `divInGrammar(State parent, StartTagInfo tag)`
`State` | `element(State parent, StartTagInfo tag)`
`State` | `externalRef(State parent, StartTagInfo tag)`
`State` | `grammar(State parent, StartTagInfo tag)`
`State` | `includeGrammar(State parent, StartTagInfo tag)`
`State` | `list(State parent, StartTagInfo tag)`
`State` | `nsAnyName(State parent, StartTagInfo tag)`
`State` | `nsExcept(State parent, StartTagInfo tag)`
`State` | `nsNsName(State parent, StartTagInfo tag)`
`State` | `parentRef(State parent, StartTagInfo tag)`
`State` | `redefine(State parent, StartTagInfo tag)`
`State` | `redefineStart(State parent, StartTagInfo tag)`
`State` | `ref(State parent, StartTagInfo tag)`
`State` | `start(State parent, StartTagInfo tag)`
`State` | `text(State parent, StartTagInfo tag)`
`State` | `value(State parent, StartTagInfo tag)`

Methods inherited from class com.sun.msv.reader.trex.TREXBaseReader.StateFactory
`choice, createGrammar, empty, group, includedGrammar, interleave, mixed, notAllowed, nsChoice, nsDifference, nsName, nsNot, oneOrMore, optional, zeroOrMore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RELAXNGReader.StateFactory

    public RELAXNGReader.StateFactory()

Method Detail

### nsAnyName

    public State nsAnyName(State parent,
                           StartTagInfo tag)

  Overrides:
    `nsAnyName` in class `TREXBaseReader.StateFactory`

### nsNsName

    public State nsNsName(State parent,
                          StartTagInfo tag)

  Overrides:
    `nsNsName` in class `TREXBaseReader.StateFactory`

### nsExcept

    public State nsExcept(State parent,
                          StartTagInfo tag)

### text

    public State text(State parent,
                      StartTagInfo tag)

### data

    public State data(State parent,
                      StartTagInfo tag)

### dataParam

    public State dataParam(State parent,
                           StartTagInfo tag)

### value

    public State value(State parent,
                       StartTagInfo tag)

### list

    public State list(State parent,
                      StartTagInfo tag)

### define

    public State define(State parent,
                        StartTagInfo tag)

  Specified by:
    `define` in class `TREXBaseReader.StateFactory`

### start

    public State start(State parent,
                       StartTagInfo tag)

  Overrides:
    `start` in class `TREXBaseReader.StateFactory`

### redefine

    public State redefine(State parent,
                          StartTagInfo tag)

### redefineStart

    public State redefineStart(State parent,
                               StartTagInfo tag)

### includeGrammar

    public State includeGrammar(State parent,
                                StartTagInfo tag)

  Overrides:
    `includeGrammar` in class `TREXBaseReader.StateFactory`

### externalRef

    public State externalRef(State parent,
                             StartTagInfo tag)

### divInGrammar

    public State divInGrammar(State parent,
                              StartTagInfo tag)

  Overrides:
    `divInGrammar` in class `TREXBaseReader.StateFactory`

### dataExcept

    public State dataExcept(State parent,
                            StartTagInfo tag)

### attribute

    public State attribute(State parent,
                           StartTagInfo tag)

  Overrides:
    `attribute` in class `TREXBaseReader.StateFactory`

### element

    public State element(State parent,
                         StartTagInfo tag)

  Overrides:
    `element` in class `TREXBaseReader.StateFactory`

### grammar

    public State grammar(State parent,
                         StartTagInfo tag)

  Overrides:
    `grammar` in class `TREXBaseReader.StateFactory`

### ref

    public State ref(State parent,
                     StartTagInfo tag)

  Overrides:
    `ref` in class `TREXBaseReader.StateFactory`

### parentRef

    public State parentRef(State parent,
                           StartTagInfo tag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD